Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2001:db8::cd00/120
First address
2001:db8::cd00
Last address
2001:db8::cdff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2001:0db8:0000:0000:0000:0000:0000:cd00
Type
Documentation 2001:db8::/32
For examples; never used on a network
Reverse DNS zone
d.c.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets/128

2001:db8::cd00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12001:db8::cd00/1282001:db8::cd00
22001:db8::cd01/1282001:db8::cd01
32001:db8::cd02/1282001:db8::cd02
42001:db8::cd03/1282001:db8::cd03
52001:db8::cd04/1282001:db8::cd04
62001:db8::cd05/1282001:db8::cd05
72001:db8::cd06/1282001:db8::cd06
82001:db8::cd07/1282001:db8::cd07
92001:db8::cd08/1282001:db8::cd08
102001:db8::cd09/1282001:db8::cd09
112001:db8::cd0a/1282001:db8::cd0a
122001:db8::cd0b/1282001:db8::cd0b
132001:db8::cd0c/1282001:db8::cd0c
142001:db8::cd0d/1282001:db8::cd0d
152001:db8::cd0e/1282001:db8::cd0e
162001:db8::cd0f/1282001:db8::cd0f
172001:db8::cd10/1282001:db8::cd10
182001:db8::cd11/1282001:db8::cd11
192001:db8::cd12/1282001:db8::cd12
202001:db8::cd13/1282001:db8::cd13
212001:db8::cd14/1282001:db8::cd14
222001:db8::cd15/1282001:db8::cd15
232001:db8::cd16/1282001:db8::cd16
242001:db8::cd17/1282001:db8::cd17
252001:db8::cd18/1282001:db8::cd18
262001:db8::cd19/1282001:db8::cd19
272001:db8::cd1a/1282001:db8::cd1a
282001:db8::cd1b/1282001:db8::cd1b
292001:db8::cd1c/1282001:db8::cd1c
302001:db8::cd1d/1282001:db8::cd1d
312001:db8::cd1e/1282001:db8::cd1e
322001:db8::cd1f/1282001:db8::cd1f
332001:db8::cd20/1282001:db8::cd20
342001:db8::cd21/1282001:db8::cd21
352001:db8::cd22/1282001:db8::cd22
362001:db8::cd23/1282001:db8::cd23
372001:db8::cd24/1282001:db8::cd24
382001:db8::cd25/1282001:db8::cd25
392001:db8::cd26/1282001:db8::cd26
402001:db8::cd27/1282001:db8::cd27
412001:db8::cd28/1282001:db8::cd28
422001:db8::cd29/1282001:db8::cd29
432001:db8::cd2a/1282001:db8::cd2a
442001:db8::cd2b/1282001:db8::cd2b
452001:db8::cd2c/1282001:db8::cd2c
462001:db8::cd2d/1282001:db8::cd2d
472001:db8::cd2e/1282001:db8::cd2e
482001:db8::cd2f/1282001:db8::cd2f
492001:db8::cd30/1282001:db8::cd30
502001:db8::cd31/1282001:db8::cd31
512001:db8::cd32/1282001:db8::cd32
522001:db8::cd33/1282001:db8::cd33
532001:db8::cd34/1282001:db8::cd34
542001:db8::cd35/1282001:db8::cd35
552001:db8::cd36/1282001:db8::cd36
562001:db8::cd37/1282001:db8::cd37
572001:db8::cd38/1282001:db8::cd38
582001:db8::cd39/1282001:db8::cd39
592001:db8::cd3a/1282001:db8::cd3a
602001:db8::cd3b/1282001:db8::cd3b
612001:db8::cd3c/1282001:db8::cd3c
622001:db8::cd3d/1282001:db8::cd3d
632001:db8::cd3e/1282001:db8::cd3e
642001:db8::cd3f/1282001:db8::cd3f
652001:db8::cd40/1282001:db8::cd40
662001:db8::cd41/1282001:db8::cd41
672001:db8::cd42/1282001:db8::cd42
682001:db8::cd43/1282001:db8::cd43
692001:db8::cd44/1282001:db8::cd44
702001:db8::cd45/1282001:db8::cd45
712001:db8::cd46/1282001:db8::cd46
722001:db8::cd47/1282001:db8::cd47
732001:db8::cd48/1282001:db8::cd48
742001:db8::cd49/1282001:db8::cd49
752001:db8::cd4a/1282001:db8::cd4a
762001:db8::cd4b/1282001:db8::cd4b
772001:db8::cd4c/1282001:db8::cd4c
782001:db8::cd4d/1282001:db8::cd4d
792001:db8::cd4e/1282001:db8::cd4e
802001:db8::cd4f/1282001:db8::cd4f
812001:db8::cd50/1282001:db8::cd50
822001:db8::cd51/1282001:db8::cd51
832001:db8::cd52/1282001:db8::cd52
842001:db8::cd53/1282001:db8::cd53
852001:db8::cd54/1282001:db8::cd54
862001:db8::cd55/1282001:db8::cd55
872001:db8::cd56/1282001:db8::cd56
882001:db8::cd57/1282001:db8::cd57
892001:db8::cd58/1282001:db8::cd58
902001:db8::cd59/1282001:db8::cd59
912001:db8::cd5a/1282001:db8::cd5a
922001:db8::cd5b/1282001:db8::cd5b
932001:db8::cd5c/1282001:db8::cd5c
942001:db8::cd5d/1282001:db8::cd5d
952001:db8::cd5e/1282001:db8::cd5e
962001:db8::cd5f/1282001:db8::cd5f
972001:db8::cd60/1282001:db8::cd60
982001:db8::cd61/1282001:db8::cd61
992001:db8::cd62/1282001:db8::cd62
1002001:db8::cd63/1282001:db8::cd63
1012001:db8::cd64/1282001:db8::cd64
1022001:db8::cd65/1282001:db8::cd65
1032001:db8::cd66/1282001:db8::cd66
1042001:db8::cd67/1282001:db8::cd67
1052001:db8::cd68/1282001:db8::cd68
1062001:db8::cd69/1282001:db8::cd69
1072001:db8::cd6a/1282001:db8::cd6a
1082001:db8::cd6b/1282001:db8::cd6b
1092001:db8::cd6c/1282001:db8::cd6c
1102001:db8::cd6d/1282001:db8::cd6d
1112001:db8::cd6e/1282001:db8::cd6e
1122001:db8::cd6f/1282001:db8::cd6f
1132001:db8::cd70/1282001:db8::cd70
1142001:db8::cd71/1282001:db8::cd71
1152001:db8::cd72/1282001:db8::cd72
1162001:db8::cd73/1282001:db8::cd73
1172001:db8::cd74/1282001:db8::cd74
1182001:db8::cd75/1282001:db8::cd75
1192001:db8::cd76/1282001:db8::cd76
1202001:db8::cd77/1282001:db8::cd77
1212001:db8::cd78/1282001:db8::cd78
1222001:db8::cd79/1282001:db8::cd79
1232001:db8::cd7a/1282001:db8::cd7a
1242001:db8::cd7b/1282001:db8::cd7b
1252001:db8::cd7c/1282001:db8::cd7c
1262001:db8::cd7d/1282001:db8::cd7d
1272001:db8::cd7e/1282001:db8::cd7e
1282001:db8::cd7f/1282001:db8::cd7f
1292001:db8::cd80/1282001:db8::cd80
1302001:db8::cd81/1282001:db8::cd81
1312001:db8::cd82/1282001:db8::cd82
1322001:db8::cd83/1282001:db8::cd83
1332001:db8::cd84/1282001:db8::cd84
1342001:db8::cd85/1282001:db8::cd85
1352001:db8::cd86/1282001:db8::cd86
1362001:db8::cd87/1282001:db8::cd87
1372001:db8::cd88/1282001:db8::cd88
1382001:db8::cd89/1282001:db8::cd89
1392001:db8::cd8a/1282001:db8::cd8a
1402001:db8::cd8b/1282001:db8::cd8b
1412001:db8::cd8c/1282001:db8::cd8c
1422001:db8::cd8d/1282001:db8::cd8d
1432001:db8::cd8e/1282001:db8::cd8e
1442001:db8::cd8f/1282001:db8::cd8f
1452001:db8::cd90/1282001:db8::cd90
1462001:db8::cd91/1282001:db8::cd91
1472001:db8::cd92/1282001:db8::cd92
1482001:db8::cd93/1282001:db8::cd93
1492001:db8::cd94/1282001:db8::cd94
1502001:db8::cd95/1282001:db8::cd95
1512001:db8::cd96/1282001:db8::cd96
1522001:db8::cd97/1282001:db8::cd97
1532001:db8::cd98/1282001:db8::cd98
1542001:db8::cd99/1282001:db8::cd99
1552001:db8::cd9a/1282001:db8::cd9a
1562001:db8::cd9b/1282001:db8::cd9b
1572001:db8::cd9c/1282001:db8::cd9c
1582001:db8::cd9d/1282001:db8::cd9d
1592001:db8::cd9e/1282001:db8::cd9e
1602001:db8::cd9f/1282001:db8::cd9f
1612001:db8::cda0/1282001:db8::cda0
1622001:db8::cda1/1282001:db8::cda1
1632001:db8::cda2/1282001:db8::cda2
1642001:db8::cda3/1282001:db8::cda3
1652001:db8::cda4/1282001:db8::cda4
1662001:db8::cda5/1282001:db8::cda5
1672001:db8::cda6/1282001:db8::cda6
1682001:db8::cda7/1282001:db8::cda7
1692001:db8::cda8/1282001:db8::cda8
1702001:db8::cda9/1282001:db8::cda9
1712001:db8::cdaa/1282001:db8::cdaa
1722001:db8::cdab/1282001:db8::cdab
1732001:db8::cdac/1282001:db8::cdac
1742001:db8::cdad/1282001:db8::cdad
1752001:db8::cdae/1282001:db8::cdae
1762001:db8::cdaf/1282001:db8::cdaf
1772001:db8::cdb0/1282001:db8::cdb0
1782001:db8::cdb1/1282001:db8::cdb1
1792001:db8::cdb2/1282001:db8::cdb2
1802001:db8::cdb3/1282001:db8::cdb3
1812001:db8::cdb4/1282001:db8::cdb4
1822001:db8::cdb5/1282001:db8::cdb5
1832001:db8::cdb6/1282001:db8::cdb6
1842001:db8::cdb7/1282001:db8::cdb7
1852001:db8::cdb8/1282001:db8::cdb8
1862001:db8::cdb9/1282001:db8::cdb9
1872001:db8::cdba/1282001:db8::cdba
1882001:db8::cdbb/1282001:db8::cdbb
1892001:db8::cdbc/1282001:db8::cdbc
1902001:db8::cdbd/1282001:db8::cdbd
1912001:db8::cdbe/1282001:db8::cdbe
1922001:db8::cdbf/1282001:db8::cdbf
1932001:db8::cdc0/1282001:db8::cdc0
1942001:db8::cdc1/1282001:db8::cdc1
1952001:db8::cdc2/1282001:db8::cdc2
1962001:db8::cdc3/1282001:db8::cdc3
1972001:db8::cdc4/1282001:db8::cdc4
1982001:db8::cdc5/1282001:db8::cdc5
1992001:db8::cdc6/1282001:db8::cdc6
2002001:db8::cdc7/1282001:db8::cdc7
2012001:db8::cdc8/1282001:db8::cdc8
2022001:db8::cdc9/1282001:db8::cdc9
2032001:db8::cdca/1282001:db8::cdca
2042001:db8::cdcb/1282001:db8::cdcb
2052001:db8::cdcc/1282001:db8::cdcc
2062001:db8::cdcd/1282001:db8::cdcd
2072001:db8::cdce/1282001:db8::cdce
2082001:db8::cdcf/1282001:db8::cdcf
2092001:db8::cdd0/1282001:db8::cdd0
2102001:db8::cdd1/1282001:db8::cdd1
2112001:db8::cdd2/1282001:db8::cdd2
2122001:db8::cdd3/1282001:db8::cdd3
2132001:db8::cdd4/1282001:db8::cdd4
2142001:db8::cdd5/1282001:db8::cdd5
2152001:db8::cdd6/1282001:db8::cdd6
2162001:db8::cdd7/1282001:db8::cdd7
2172001:db8::cdd8/1282001:db8::cdd8
2182001:db8::cdd9/1282001:db8::cdd9
2192001:db8::cdda/1282001:db8::cdda
2202001:db8::cddb/1282001:db8::cddb
2212001:db8::cddc/1282001:db8::cddc
2222001:db8::cddd/1282001:db8::cddd
2232001:db8::cdde/1282001:db8::cdde
2242001:db8::cddf/1282001:db8::cddf
2252001:db8::cde0/1282001:db8::cde0
2262001:db8::cde1/1282001:db8::cde1
2272001:db8::cde2/1282001:db8::cde2
2282001:db8::cde3/1282001:db8::cde3
2292001:db8::cde4/1282001:db8::cde4
2302001:db8::cde5/1282001:db8::cde5
2312001:db8::cde6/1282001:db8::cde6
2322001:db8::cde7/1282001:db8::cde7
2332001:db8::cde8/1282001:db8::cde8
2342001:db8::cde9/1282001:db8::cde9
2352001:db8::cdea/1282001:db8::cdea
2362001:db8::cdeb/1282001:db8::cdeb
2372001:db8::cdec/1282001:db8::cdec
2382001:db8::cded/1282001:db8::cded
2392001:db8::cdee/1282001:db8::cdee
2402001:db8::cdef/1282001:db8::cdef
2412001:db8::cdf0/1282001:db8::cdf0
2422001:db8::cdf1/1282001:db8::cdf1
2432001:db8::cdf2/1282001:db8::cdf2
2442001:db8::cdf3/1282001:db8::cdf3
2452001:db8::cdf4/1282001:db8::cdf4
2462001:db8::cdf5/1282001:db8::cdf5
2472001:db8::cdf6/1282001:db8::cdf6
2482001:db8::cdf7/1282001:db8::cdf7
2492001:db8::cdf8/1282001:db8::cdf8
2502001:db8::cdf9/1282001:db8::cdf9
2512001:db8::cdfa/1282001:db8::cdfa
2522001:db8::cdfb/1282001:db8::cdfb
2532001:db8::cdfc/1282001:db8::cdfc
2542001:db8::cdfd/1282001:db8::cdfd
2552001:db8::cdfe/1282001:db8::cdfe
2562001:db8::cdff/1282001:db8::cdff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses